Flash used to work in 11.0 now broken in 11.1

Hi all,

Flash doesn't work in Mozilla Firefox 3.0.5 on OpenSUSE 11.1 x64.

I upgraded from 11.0 where it worked perfectly.

I have tried using gnash as well as the flash plugin from the
repository and nothing seems to work. 

I also can't view an swf when I double click on it in konqueror file
browser.

Suggestions please?

Thanks
Nathan


-- 
SurplusIguana
------------------------------------------------------------------------



0
SurplusIguana
1/7/2009 5:06:01 AM
opensuse.org.help.applications 21533 articles. 1 followers. Follow

11 Replies
641 Views

Similar Articles

[PageSpeed] 17

Nathan,

works here. Here's the flash related stuff I have installed:

titanium:/home/uwe # rpm -qa | grep flash
libflashsupport-1.2-4.20
pullin-flash-player-11.1-1.1
flash-player-10.0.15.3-1.1

What do you have installed?

Uwe
0
Uwe
1/7/2009 7:29:17 AM
Remarkably similar, actually:

[nathan@ebisu ~] rpm -qa | grep flash
libflashsupport-1.2-4.20
flash-player-10.0.15.3-1.1
pullin-flash-player-11.1-1.1

Nathan


-- 
SurplusIguana
------------------------------------------------------------------------
SurplusIguana's Profile: http://forums.opensuse.org/member.php?userid=2008
View this thread: http://forums.opensuse.org/showthread.php?t=404263

0
SurplusIguana
1/7/2009 2:16:01 PM
Nathan,

when you temporarily rename your ~/.mozilla folder or try it with a different user, do you see the same problem?
Can you open swf files through Dolphin? Can you open them from the flash player application directly?

Uwe
0
Uwe
1/7/2009 2:23:56 PM
* Happens in Mozilla no matter the user/profile
* I haven't tried Dolphin, but Konqueror doesn't work
* I can't open files from the flash player application.

When I run the application on the command line, it acts broken:
[nathan@ebisu ~] flashplayer /home/nathan/raid/media/flash/JBI.swf
WARNING: environment variable G_FILENAME_ENCODING set and it is not
UTF-8
sh: pactl: command not found
Segmentation fault

Searching for the warning gives a 'bug report'
(http://lists.opensuse.org/opensuse-bugs/2007-03/msg02016.html) that
seems to be inconclusive.

However, pactl is the controller program for pulse audio, included in
pulseaudio-utils. I installed that package from the repos.

Now when I run the command I get this:
[nathan@ebisu ~] flashplayer /home/nathan/raid/media/flash/JBI.swf
WARNING: environment variable G_FILENAME_ENCODING set and it is not
UTF-8
Currently in use: 1 blocks containing 63.9 KiB bytes total.
Allocated during whole lifetime: 3 blocks containing 127.9 KiB bytes
total.
Sample cache size: 0 B
User name: nathan
Host Name: ebisu
Server Name: pulseaudio
Server Version: 0.9.12
Default Sample Specification: s16le 2ch 44100Hz
Default Sink: alsa_output.pci_8086_3a3e_sound_card_0_alsa_playback_0
Default Source: alsa_input.pci_8086_3a3e_sound_card_0_alsa_capture_0
Cookie: 9bc7bfef
Segmentation fault

Other flash movies I downloaded do the same thing.

Thanks for the help thus far.
Nathan


-- 
SurplusIguana
------------------------------------------------------------------------
SurplusIguana's Profile: http://forums.opensuse.org/member.php?userid=2008
View this thread: http://forums.opensuse.org/showthread.php?t=404263

0
SurplusIguana
1/7/2009 11:36:02 PM
Nathan,

my console output looks identical, apart from the segfault :-(

Sorry, I have no idea other than a stupid reinstall of the flash related RPMs.

Uwe
0
Uwe
1/8/2009 7:09:22 AM
Hmm, I got it to work by uninstalling libflashsupport. Probably one of
the dependencies for that got uninstalled when I upgraded (OpenSUSE
seems to 'have lots of problems with doing an upgrade install'
(http://tinyurl.com/axfmyx)).

If I have time I'll try and figure out what dependency is missing.

Thanks for the help.
Nathan


-- 
SurplusIguana
------------------------------------------------------------------------
SurplusIguana's Profile: http://forums.opensuse.org/member.php?userid=2008
View this thread: http://forums.opensuse.org/showthread.php?t=404263

0
SurplusIguana
1/8/2009 3:36:02 PM
Nathan,

thanks for the feedback, that's interesting.
I never do upgrades, I always format the / partition and just keep my /home

Uwe
0
Uwe
1/8/2009 3:41:03 PM
SurplusIguana wrote:
> Hmm, I got it to work by uninstalling libflashsupport. Probably one of
> the dependencies for that got uninstalled when I upgraded (OpenSUSE
> seems to 'have lots of problems with doing an upgrade install'
> (http://tinyurl.com/axfmyx)).
> 
> If I have time I'll try and figure out what dependency is missing.

Maybe this page would help you find it:

http://forums.opensuse.org/applications/multimedia/400119-check-your-multimedia-problem-ten-steps.html
0
Robert
1/8/2009 9:56:19 PM
buckesfeld;1923990 Wrote: 
> I never do upgrades, I always format the / partition and just keep my
> /home
I used to do that, but every time I would lose some customized file in
/etc I'd forgotten to back up >_<


> Maybe this page would help you find it:
> 
> http://forums.opensuse.org/applicati...ten-steps.html
Thanks, that fixed it. Looks like I was missing a few other pulseaudio
packages. Maybe the OpenSUSE updater should run that command before it
finishes :)

I appreciate the help :)

Nathan


-- 
SurplusIguana
------------------------------------------------------------------------
SurplusIguana's Profile: http://forums.opensuse.org/member.php?userid=2008
View this thread: http://forums.opensuse.org/showthread.php?t=404263

0
SurplusIguana
1/9/2009 12:06:01 AM
SurplusIguana wrote:
> buckesfeld;1923990 Wrote: 
>> I never do upgrades, I always format the / partition and just keep my
>> /home
> I used to do that, but every time I would lose some customized file in
> /etc I'd forgotten to back up >_<
> 
> 
>> Maybe this page would help you find it:
>>
>> http://forums.opensuse.org/applicati...ten-steps.html
> Thanks, that fixed it. Looks like I was missing a few other pulseaudio
> packages. Maybe the OpenSUSE updater should run that command before it
> finishes :)
> 
> I appreciate the help :)
> 
> Nathan

Glad it solved the problem for you. I was pointed to it by oldcpu, who,
I believe, is enjoying a vacation.
0
Robert
1/9/2009 2:24:22 AM
my solution:

i had the same problem. i've downloaded libflashsupport from:
http://tinyurl.com/cx5dpe and have installed in mi openSUSE 11.1

now flash videos works in my browser !


-- 
haldair
------------------------------------------------------------------------
haldair's Profile: http://forums.opensuse.org/member.php?userid=26261
View this thread: http://forums.opensuse.org/showthread.php?t=404263

0
haldair
4/11/2009 11:06:03 PM
Reply:

Similar Artilces:

Upgrade of 11.0.0 to 11.0.1 AND 11.0 EBF's
X86 Update of 11.0.0 to 11.0.1 was released 03 Mar 2009 Update of 11.0.0 to build 1598 was released 23 Apr 2009 Should 11.0.0 to build 1598 be applied to 11.0.1 ? ChuckGo No. EBFs should only be applied against the MR that it is intended. The 1598 EBF is intended for 11.0.0. And EBF for 11.0.1 is pending. - chris Charles.Gogolin@stanleyassociates.com wrote: > X86 > > Update of 11.0.0 to 11.0.1 was released 03 Mar 2009 > > Update of 11.0.0 to build 1598 was released 23 Apr 2009 > > Should 11.0.0 to build 1598 be applied to 11.0.1 ? ...

Can SQL 11.0.3 work with OC 11.1.1
Hi, I'd like to know if it's possible to make an upgrade from Open Client 10.0.4 that is in Solaris to 11.1.1. And will it work fine with the server. Is there any special feature to make this upgrade or is a simple install of librarys to the same directorys in the server. Can this coexist? The server I think has internal the OC 10.0.4. Rui Ribeiro ...

is it safe to upgrade from 11.0 to 11.1(when 11.1 come oute)
hi all. i want to know if it safe to upgrade from 11.0 to 11.1 when 11.1 will come out -- Haber_Nir ------------------------------------------------------------------------ Yes. Of course, how would it not be safe. How were you planning to do the upgrade? -- Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.81) "1.1" | M2N4-SLI | AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM Lap: OS 11.0 | Celeron 550 | (KDE 4.1.81 "release 1.1" | Intel 965 GM | Lenovo R61e | 1GB RAM ------------------------------------------------------------------------ ca...

Difference between IQ 11.0,11.1,11.2 and 11.5
PowerDesignor WarehouseArchitect 6.0 does not support IQ 11.2 and 11.5. Can the .def file for 11.1 can be used as is with 11.2 and 11.5 ? Any modifications need to be made to the .def file?Is there any patch available for this? Thanks Shashi Kanth shashi@systemlogic.com I have never used PowerDesignor WA 6.0 so I'm not sure what a .def file is, but I hope the following answers your questions. The are a lot of differences between the various versions of IQ, but each new version of IQ supports a superset of the previous version's syntax. So all iq commands found in 11....

Difference between IQ 11.0,11.1,11.2 and 11.5
PowerDesignor WarehouseArchitect 6.0 does not support IQ 11.2 and 11.5. Can the .def file for 11.1 can be used as is with 11.2 and 11.5 ? Any modifications need to be made to the .def file?Is there any patch available for this? Thanks Shashi Kanth shashi@systemlogic.com ...

Setup that works in 11.0 is broken in 11.2
Here's a mystery - a wireless card works with 11.0; with 11.2, it no longer works. Reverting to 11.0, and it works again. I don't know enough about the details of wireless to know how to fix the problem, assuming it can be fixed. The hardware: ------------ Router: Linksys WRT54G, firmware v8.00.2 Wireless card: Linksys WUSB11 V2.6 802.11b The WORKING setup: ----------------- OpenSUSE 11.0 driver software: at76_usb (identifed in log messages as 'Atmel at76x USB Wireless LAN Driver 0.17') interfaces managed by NetworkManager and wpa_supplicant ...

Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11
Name: Greul, Albert Email: albertdotgreulatgooglemaildotcom Product: Firefox Summary: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11 Comments: Hallo zusammen, habe soeben das Neue update installiert. Seit diesem Zeitpunkt funktioniert die Druckerkommunikation zwischen Laptop und Drucker über mein W-Lan nicht mehr!! Vorher funktionierte alles tadellos. Bitte um Beseitigung des Problems. Es grüßt Sie(noch)freundlich Albert Greul Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.11) Gec...

Tiz AwSoMeZ1!1!11!11!11!!!1!1
Name: Jesus Product: Firefox Summary: Tiz AwSoMeZ1!1!11!11!11!!!1!1 Comments: I <3 tiS eXPLorER tit Tiz Ta BeSTISt BrOWSEr Eva!!!1!!1!!!!1111!!1! Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b2) Gecko/2007121120 Firefox/3.0b2 ...

Firefox 3.0.11 beta 1
Name: Marco Freudenberger Email: MarcodotFreudenbergeratgmxdotde Product: Firefox Summary: Firefox 3.0.11 beta 1 - specific website doesn't work in 3.0.11 beta Comments: http://www.klm.com/travel/de_en/index_default.html appears for ~1/2 second and then only blanks, hourclass cursor. Works fine in 3.0.10 stable. OS: Windows XP SP 2. Browser Details: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.0.11) Gecko/2009051909 Firefox/3.0.11 (.NET CLR 3.5.30729) From URL: Note to readers: Hendrix gives no expectation of a response to this feedback but if you wis...

Should I trust GPG keys from 11.1 using 11.0 ?
Sorry if this is a stupid question. I don't have a DVD burner, so I install the DVD content on a separated HD and boot it using Grub. I'm trying to update to 11.1 (but failed so far: 'Update fails: partitions cannot be mounted - openSUSE Forums' (http://tinyurl.com/c4vvdu) ). Since I replaced the 11.0 files (and so the GPG keys) by the 11.1 ones, PackageKit is now asking me if I trust the new keys from the install source (the DVD uncompressed to HD). I fear to accept in case PackageKit will then try to install updates from 11.1 sources on my still 11.0 installa...

Open Client 11.1.1 vs 11.1.0
Hi, We are using Open Client Ct library version 11.1.0 and I find all references to Open Cleint 11.1.1 and no 11.1.0. Can anyone let me know the difference (if any) between these two versions? Thanks, Bappa Roy Bappa, There are a couple new features in 11.1.1, as well as various bug fixes. I highly recommend using 11.1.1 over 11.1.0. For PC environments, you can just overlay. The latest EBF for PC 32-bit is 8021. Similar EBF #s for all other platforms too. John McVicker SPS Philadelphia, PA Bappa Roy wrote: > > Hi, > > We are using Open Client C...

Maintenance Release, Upgrade of 11.0.0 to 11.0.1
After installing upgrade 11.0.0 to 11.0.1 am unable to use DBSVC: /sqlanywhere11/bin32/dbsvc_scripts/dbsvc_iface: line 16: /lib/lsb/init-functions: No such file or directory This utility requires /etc/init.d/functions or /etc/rc.status If I undo the install then the dbsvc works fine. Installed redhat-lsb and seems to work. ...

Smoke [5.11.0] v5.11.0-187-g8dbe7cf FAIL(F) netbsd 5.0.1 (i386/1 cpu)
Automated smoke report for 5.11.0 patch 8dbe7cf704038839ade17963855cf8bfad0c30a3 v5.11.0-187-g8dbe7cf p5netbsd: Intel 686-class (i386/1 cpu) on netbsd - 5.0.1 using cc version 4.1.3 20080704 prerelease (NetBSD nb2 20081120) smoketime 6 hours 35 minutes (average 49 minutes 23 seconds) Summary: FAIL(F) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (after miniperl), t = m...

Smoke [5.11.0] v5.11.0-169-g50e225a FAIL(F) netbsd 5.0.1 (i386/1 cpu)
Automated smoke report for 5.11.0 patch 50e225a377de7c314b13cbaf39b6b423215d84a7 v5.11.0-169-g50e225a p5netbsd: Intel 686-class (i386/1 cpu) on netbsd - 5.0.1 using cc version 4.1.3 20080704 prerelease (NetBSD nb2 20081120) smoketime 6 hours 31 minutes (average 48 minutes 59 seconds) Summary: FAIL(F) O = OK F = Failure(s), extended report at the bottom X = Failure(s) under TEST but not under harness ? = still running or test results not (yet) available Build failures during: - = unknown or N/A c = Configure, m = make, M = make (after miniperl), t = m...

Web resources about - Flash used to work in 11.0 now broken in 11.1 - opensuse.org.help.applications

Black Friday 2015 Best Deals: Here’s Where You Should Begin Your Holiday Shopping
Black Friday 2015 is almost here, and some of the deals on offer are certain to get your tongues wagging. As you might already know, Thanksgiving ...


Why the Islamic State isn't invincible online
The Islamic State's efforts to become more tech-savvy came under intense focus after the Paris attacks. Many have suggested that attackers planned ...

Carrie Fisher shares the ending of 'Star Wars: The Force Awakens' on 'Kimmel'
No spoilers, promise. Even badass Carrie Fisher is bound by the contracts, security drones and occult incantations director J.J. Abrams is using ...

Turkey Shoots Down Russian Warplane Claiming Pilots Ignored Warnings
Turkish fighter jets shot down a Russian warplane early Tuesday morning after apparently giving the pilots 10 warnings “in the space of five ...

News: Apple aims to launch Apple Pay in China by February
Apple is planning to launch Apple Pay in China by early February, The Wall Street Journal reports. After grueling negotiations, the company has ...

Dell admits installing security hole on laptops, apologizes, offers fix
Dell acknowledges a root certificate it installed on its laptops was a bad idea and is pushing a patch to permanently remove it. In a blog post ...

Own your drone: the US is one step closer to drone registration
A new report for the US Federal Aviation Administration (FAA) has recommended that drones weighing over 250g should be officially registered ...

HBO doesn’t even care about spoilers for the next season of ‘Game of Thrones’
SPOILERS for the next season of Game of Thrones Believe it or not, I’ve actually been trying to avoid Game of Thrones spoilers for months. To ...

Amazon founder Bezos’ rocket company passes landing test
By Irene Klotz CAPE CANAVERAL, Fla. (Reuters) - Amazon founder Jeff Bezos’ space transportation company, Blue Origin, successfully landed a suborbital ...

Resources last updated: 11/24/2015 4:04:33 PM